.icon {
    &_xxs {
        ._mixin_icon_size(@icon_xxs);
    }
    &_xs {
        ._mixin_icon_size(@icon_xs);
    }
    &_s {
        ._mixin_icon_size(@icon_s);
    }
    &_m {
        ._mixin_icon_size(@icon_m);
    }
    &_l {
        ._mixin_icon_size(@icon_l);
    }
    &_xl {
        ._mixin_icon_size(@icon_xl);
    }
    &_xxl {
        ._mixin_icon_size(@icon_xxl);
    }

    &_x2 {
        ._mixin_icon_size(@icon-size*2);
    }
    &_x3 {
        ._mixin_icon_size(@icon-size*3);
    }
    &_x4 {
        ._mixin_icon_size(@icon-size*4);
    }
    &_x5 {
        ._mixin_icon_size(@icon-size*5);
    }
    &_16 {
        ._mixin_icon_size(16px);
    }
    &_24 {
        ._mixin_icon_size(24px);
    }
    &_32 {
        ._mixin_icon_size(32px);
    }
    &_48 {
        ._mixin_icon_size(48px);
    }
}

